> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/events/tdsevent.md).

# tdsEvent

### 기능 설명

TDS 네비게이션 바 이벤트를 구독해요.

* `navigationAccessoryEvent` — 네비게이션 바의 액세서리 버튼이 눌렸을 때, 눌린 버튼의 `{ id }`가 전달돼요. 버튼 등록은 `partner.addAccessoryButton`으로 해요 (파트너 웹뷰 전용 — 공개 레퍼런스에는 없어요).

### 타입

```ts
tdsEvent.addEventListener(
  event: "navigationAccessoryEvent",
  args: { onEvent: (data: { id: string }) => void; onError?: (error: Error) => void },
): () => void;
```

**Params**

* `event` — 구독할 이벤트예요. 현재는 `"navigationAccessoryEvent"`(네비게이션 바 액세서리 버튼 눌림)만 있어요.
* `args.onEvent: (data: { id: string }) => void` — 버튼이 눌리면 눌린 버튼의 `id`와 함께 호출돼요.
* `args.onError?: (error: Error) => void` — 구독 처리 중 에러가 발생하면 호출돼요.

**Response**

구독을 해제하는 함수 `() => void`를 반환해요. 호출하면 리스너가 제거돼요.

### 예시 코드

```js
import { tdsEvent } from "@apps-in-toss/web-framework";

const unsubscribe = tdsEvent.addEventListener("navigationAccessoryEvent", {
  onEvent: ({ id }) => {
    if (id === "search") {
      openSearch();
    }
  },
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/events/tdsevent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
